## esound 0.2.40-0ubuntu1~netbook1

=== debian/changelog ===
esound (0.2.40-0ubuntu1~netbook1) hardy; urgency=low

  * Backport to hardy
  * New upstream versions:
    - Fixed poll
    - Fixed bug #543239 by including errno.h
    - Fixed esd client-side code to not hang if esd crashes/hangs or
      otherwise becomes unreachable
    - Suppress verbose error messages from ALSA
    - Allow for multiple esd instances
    - Fix esound-config for multi-lib setups
    - Don't report errors about /dev/dsp not existing
    - Various other build fixes for AMD64

 -- Michael Terry <michael.terry@canonical.com>  Thu, 30 Oct 2008 10:16:01 -0400

esound (0.2.40-0ubuntu1) intrepid; urgency=low

  * New upstream versions:
    - Fixed poll
    - Fixed bug #543239 by including errno.h 
    - Fixed esd client-side code to not hang if esd crashes/hangs or 
      otherwise becomes unreachable 
    - Suppress verbose error messages from ALSA 
    - Allow for multiple esd instances 
    - Fix esound-config for multi-lib setups 
    - Don't report errors about /dev/dsp not existing 
    - Various other build fixes for AMD64 
	
 -- Sebastien Bacher <seb128@canonical.com>  Fri, 05 Sep 2008 14:25:20 +0200

esound (0.2.38-0ubuntu9) hardy; urgency=low

  * esd.conf: Disable autospawn mode by default. With Pulseaudio it is not
    needed any more and actively wreaks havoc:
    https://tango.0pointer.de/pipermail/pulseaudio-discuss/2008-February/001394.html

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Feb 2008 09:50:43 +0100

esound (0.2.38-0ubuntu8) hardy; urgency=low

  * util.c: Fix memory leak in our patch to support multiple users. Thanks to
    Sebastian Keller for spotting this! (See LP #177072)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Feb 2008 17:57:00 +0100

esound (0.2.38-0ubuntu7) hardy; urgency=low

  * util.c: Support multiple esd instances (one per user) which was dropped
    and is required to get sound effects working 
    (LP: #183199)

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 21 Jan 2008 19:06:26 +0000

esound (0.2.38-0ubuntu6) hardy; urgency=low

  * esdlib.c: The previous patch leaks pipe file descriptors in the case
    that /usr/bin/esd doesn't exist.  Fix that bug by only opening the
    pipes after we know that the esd executable exists (LP: #183411).

 -- Ryan Lortie <desrt@ubuntu.com>  Tue, 15 Jan 2008 22:08:19 -0500

esound (0.2.38-0ubuntu5) hardy; urgency=low

  * No change rebuild to attempt to unbreak the world.  Soyuz clearly got
    hungry, and ate one of the binaries.  Feed it more often next time!

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 22 Dec 2007 23:50:56 +1100

esound (0.2.38-0ubuntu4) gutsy; urgency=low

  * esdlib.c: Check if the esd binary exists at all. If not, forego forking
    a shell and trying to execute it. This both improves startup time and also
    avoids the "/bin/sh: /usr/bin/esd: not found" warning. (LP: #134641)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Oct 2007 14:00:43 +0200

esound (0.2.38-0ubuntu3) gutsy; urgency=low

  * Add lpia to the list of supported architectures.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Aug 2007 16:07:05 +0000

esound (0.2.38-0ubuntu2) gutsy; urgency=low

  * Previous upload dropped all Debian and Ubuntu patches. Reintroduce the
    critical ones for Tribe 3 for now:
    - esd.conf: Enable autospawn mode.
    - esddsp.c: Protect dsp_init() with a mutex to prevent race conditions
      from multiple calls (which hanged the desktop session). (LP: #21915)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Jul 2007 12:03:22 +0200

esound (0.2.38-0ubuntu1) gutsy; urgency=low

  * New upstream release (0.2.38):
    * Fix 100% CPU problem introduced in 0.2.37
    * Fix libesddsp not linking against libesd
    * Fix file descriptor leaks
    * Fix a build problem with the read/write wrapper
    * Chdir to "/" when starting up 
    * Only install the esddsp man page if we build the binary
  * New upstream release (0.2.37):
    * Fix null derefs and leaks reported by Covertiy
    * Build fixes
    * Disable autospawning
    * Close filedescriptors and sockets
    * Don't terminate until the last sample is done
    * Add checks for clients disconnecting
    * Updated man pages
    * Use pkg-config to check for audiofile
  * debian/control
    * Add pkg-config to build-depends
  * debian/rules
    * Remove pod2man of docs, fix building manpages

 -- Aron Sisak <aron@ubuntu.hu>  Wed, 04 Jul 2007 12:50:39 +0200

esound (0.2.36-3ubuntu4) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Feb 2007 13:29:32 +0000

esound (0.2.36-3ubuntu3) dapper; urgency=low

  * esd.conf: Drop autospawn timeout to 1 second. Closes: LP#34818

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 28 Mar 2006 12:21:45 +0200

esound (0.2.36-3ubuntu2) dapper; urgency=low

  [Tollef Fog Heen]
  * dsp_init(): Enclose function body in a mutex. dsp_init() was sometimes
    called several times which caused race conditions with the global
    variables and lead to a crash.

  [Martin Pitt]
  * debian/rules, debian/control: Prefer libesd-alsa0 in shlibs and
    dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2006 19:00:58 +0100

esound (0.2.36-3ubuntu1) dapper; urgency=low

  * Manually resynchronize to Debian, cleaned up a lot of cruft from the diff.
  * Remaining changes:
    - esd.conf: Enable auto_spawn.
    - debian/rules: Build with --enable-debugging to provide -v[tcm] options.
    - esd.c: Disable tracing options by default.
    - util.c: Support multiple esd instances (one per user).
  * clients.c: Fix variable declaration to fix FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Jan 2006 20:10:24 +0100

esound (0.2.36-3) unstable; urgency=low

  * Only include *64 functions if necessary in libesddsp for things
    that check at runtime rather than compile time (closes: #347751)

 -- Ryan Murray <rmurray@debian.org>  Fri, 13 Jan 2006 00:33:23 -0800


