=== debian/control ===
Source: esound
Section: sound
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Murray <rmurray@debian.org>
Standards-Version: 3.6.2
Build-Depends: libaudiofile-dev, libasound2-dev [alpha amd64 arm hppa i386 ia64 lpia m68k mips mipsel powerpc s390 sparc], debhelper, libwrap0-dev, pkg-config

Package: esound
Architecture: any
Depends: ${shlibs:Depends}, esound-common (>= ${Source-Version})
Description: Enlightened Sound Daemon - Support binaries
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.

Package: esound-clients
Architecture: any
Depends: ${shlibs:Depends}, esound-common (>= ${Source-Version})
Conflicts: libesd0 (<< 0.2.36-1), libesd-alsa0 (<< 0.2.36-1)
Description: Enlightened Sound Daemon - clients
 Utilities that control and interact with the Enlightened Sound Daemon.

Package: esound-common
Architecture: all
Description: Enlightened Sound Daemon - Common files
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package contains the documentation and configuration files.

Package: libesd0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, esound-common (>= ${Source-Version})
Recommends: esound-clients
Conflicts: esound-clients (<< 0.2.36-1)
Suggests: esound
Description: Enlightened Sound Daemon - Shared libraries
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package is for use with OSS sound drivers.

Package: libesd0-dev
Architecture: any
Section: libdevel
Depends: libesd-alsa0 (= ${Source-Version}) | libesd0 (= ${Source-Version}), libaudiofile-dev, esound-common (>= ${Source-Version})
Description: Enlightened Sound Daemon - Development files
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package contains the header files needed to compile applications that
 use libesd0.

Package: libesd-alsa0
Architecture: alpha amd64 arm hppa i386 ia64 lpia m68k mips mipsel powerpc s390 sh sparc
Section: libs
Depends: ${shlibs:Depends}, esound-common (>= ${Source-Version})
Suggests: esound
Priority: extra
Recommends: esound-clients
Conflicts: libesd0, esound-clients (<< 0.2.36-1)
Provides: libesd0
Description: Enlightened Sound Daemon (ALSA) - Shared libraries
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package is for use with ALSA sound drivers.
