=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH:=$(shell dpkg --print-installation-architecture)

INSTALL:=$(shell pwd)/debian/tmp
INSTALL_ALSA:=$(INSTALL)-alsa
export DH_COMPAT=4

ifeq ($(DEB_BUILD_ARCH),hurd-i386)
	CONFIG_OPTS:=--disable-local-sound
	SHLIB:="libesd0 (>= 0.2.35)"
	build-targets:=build-debstamp
	install-targets:=install-debstamp
	binary-targets:=normal
else
	CONFIG_OPTS:=
	SHLIB:="libesd-alsa0 (>= 0.2.35) | libesd0 (>= 0.2.35)"
	build-targets:=build-debstamp build-alsa-debstamp
	install-targets:=install-debstamp install-alsa-debstamp
	binary-targets:=alsa normal
endif

CONFIG_OPTS+= --enable-debugging

build: $(build-targets)

build-debstamp:
	dh_testdir
	mkdir build-normal
	cd build-normal && CFLAGS="-O2" ../configure --prefix=/usr --sysconfdir=/etc/esound --disable-dependency-tracking --with-tags= --disable-alsa --with-libwrap $(CONFIG_OPTS)
	$(MAKE) -C build-normal all
	touch $@

build-alsa-debstamp:
	dh_testdir
	mkdir build-alsa
	cd build-alsa && CFLAGS="-O2" ../configure --prefix=/usr --sysconfdir=/etc/esound --enable-alsa --disable-dependency-tracking --with-tags= --with-libwrap
	$(MAKE) -C build-alsa esd-config libesd.la
	touch $@

clean:
	dh_testdir
	-rm -fr build-normal build-alsa
	-rm -f build-debstamp build-alsa-debstamp install-debstamp install-alsa-debstamp
	-rm -f `find . -name "*~"`
	-rm -rf `find . -name "\.deps"`
	-rm -rf `find . -name "\.libs"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars debian/shlibs.local debian/shlibs
	-rm -f docs/*.1
	dh_clean

install: $(install-targets)
install-debstamp: build-debstamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) -C build-normal DESTDIR=$(INSTALL) install
	mkdir -p $(INSTALL)/usr/share/man/man1
	cp build-normal/docs/*.1 $(INSTALL)/usr/share/man/man1
	gzip -9 $(INSTALL)/usr/share/man/man1/*.1
	touch $@

install-alsa-debstamp: build-alsa-debstamp
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) -C build-alsa DESTDIR=$(INSTALL_ALSA) install-libLTLIBRARIES
	touch $@

binary-indep: build-debstamp install-debstamp
	dh_installchangelogs -i ChangeLog
	dh_movefiles          --sourcedir=debian/tmp -i
	dh_compress          -i
	dh_installdocs       -i
	dh_fixperms          -i
	dh_installdeb        -i
	dh_gencontrol        -i
	dh_md5sums           -i
	dh_builddeb          -i

alsa: install-alsa-debstamp
	dh_movefiles         --sourcedir=debian/tmp-alsa -plibesd-alsa0
	mv debian/libesd-alsa0/usr/lib/libesddsp* debian/libesd-alsa0/usr/lib/esound/
	dh_installdocs -plibesd-alsa0 
	rmdir debian/libesd-alsa0/usr/share/doc/libesd-alsa0
	ln -s esound-common debian/libesd-alsa0/usr/share/doc/libesd-alsa0

normal: install-debstamp
	dh_movefiles         --sourcedir=debian/tmp -s -Nlibesd-alsa0
	if [ -f debian/libesd0/usr/lib/libesddsp.so.0 ]; then \
		mv debian/libesd0/usr/lib/libesddsp* debian/libesd0/usr/lib/esound/ ;\
	fi
	dh_strip             -s
	dh_compress          -s
	dh_fixperms          -s
	dh_installdocs       -s -Nlibesd-alsa0
	dh_installmime       -pesound-clients
	for i in esound-clients libesd0 libesd0-dev esound; do \
		rmdir debian/$$i/usr/share/doc/$$i; \
		ln -s esound-common debian/$$i/usr/share/doc/$$i; \
	done
	dh_makeshlibs        -s -V $(SHLIB)
	dh_installdeb        -s
	dh_shlibdeps         -s -ldebian/libesd0/usr/lib
	dh_gencontrol        -s
	dh_md5sums           -s
	dh_builddeb          -s

binary-arch: install $(binary-targets)

binary: binary-indep binary-arch

.PHONY: binary clean binary-indep binary-arch build install install-save install-saved
