=== debian/watch ===
# Site		Directory		Pattern			Version	Script
http://ftp.gnome.org /pub/GNOME/sources/esound/0.2 esound-(.*)\.tar\.gz debian uupdate
