## esound 0.2.41

=== debian/changelog ===
esound (0.2.41-11) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove incorrect m-a: same stanza for libesd0-dev.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05_libm.patch:
    + New patch stolen from Fedora; fix build with new binutils
      by explicitly linking to libm. Closes: #711536.
  * debian/control.in,
    debian/rules:
    + Add dh-autoreconf magic.
  * debian/patches/03_hurd.patch:
    + Stop patching configure now that we run autoreconf.
  * debian/control.in:
    + Bump debhelper build dependency as we're using compat 9.
    + Bump Standards-Version to 3.9.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jun 2013 21:17:42 +0200

esound (0.2.41-10) unstable; urgency=low

  * Switch to dpkg source format 3.0 (quilt).
  * Transition to multiarch, thanks Steve. Closes: #645978
  * Drop the libtool .la file, since we break existing references anyway.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Drop old Conflicts (pre-lenny).

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Oct 2011 01:04:30 +0200

esound (0.2.41-9) unstable; urgency=low

  * Drop esound and esound-clients packages.
  * Make libesd0 suggest pulseaudio-esound-compat, since it’s now the 
    way to get esound-enabled packages to work.
  * Drop API docs too.

 -- Josselin Mouette <joss@debian.org>  Sat, 16 Apr 2011 18:22:49 +0200

esound (0.2.41-8) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_hurd.patch:
    - Add header.

  [ Josselin Mouette ]
  * Drop type-handling usage. Closes: #587862.
  * Bump standards version accordingly.
  * Only suggest esound-clients. Closes: #599662.
  * 04_audsp_crash.patch: patch from Samuel Thibault to fix a crasher in 
    audsp. Closes: #601295.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 21:04:32 +0100

esound (0.2.41-7) unstable; urgency=low

  * Let libesd0-dev depend on pkg-config. Closes: #558481.
  * Standards-Version is 3.8.4, no changes needed.
  * Let every package depend on ${misc:Depends}.
  * debian/patches/03_hurd.patch:
    - Patch from Samuel Thibault to fix the build on GNU/Hurd.
      Closes: #564606.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 20 Feb 2010 21:54:12 +0100

esound (0.2.41-6) unstable; urgency=low

  * Remove libesd-alsa0. Only build one package, libesd0. On Linux it 
    uses ALSA unconditionally, we don’t support OSS anymore.
    Closes: #553182.
  * Make esound-common conflict against libesd-alsa0 so that it gets 
    removed from user systems.
  * Simplify the build process accordingly.

 -- Josselin Mouette <joss@debian.org>  Tue, 03 Nov 2009 20:32:35 +0100

esound (0.2.41-5) unstable; urgency=low

  * Fix FTBFS on kfreebsd. Closes: #532092.

 -- Josselin Mouette <joss@debian.org>  Sun, 14 Jun 2009 11:09:19 +0200

esound (0.2.41-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Build-depend on docbook-xml. Closes: #527830.

 -- Loic Minier <lool@dooz.org>  Fri, 15 May 2009 15:28:25 +0200

esound (0.2.41-3) unstable; urgency=low

  * 02_missing_var.patch: new patch, stolen from Gentoo. Allow to build 
    with the debugging flags. Closes: #516608.
  * Add docbook-utils to b-d-i. Closes: #516617.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 20:21:28 +0200

esound (0.2.41-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Tue, 17 Feb 2009 23:31:24 +0100

esound (0.2.41-1) experimental; urgency=low

  * 09_spawn_nobeeps.patch: initialize spawnfd as -1, and check for its 
    being >=0, since 0 is a perfectly valid spawnfd.
  * 08_kill_sigterm.patch: removed, this code path is not used anyway.
  * Build-depend on pkg-config. Closes: #506142.
  * Require audiofile 0.2.3 to match 02_audiofile_supported.patch.
  * New upstream release, integrating all our patches but one.
    + Drop the patches.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Nov 2008 22:00:57 +0100

esound (0.2.40-1) experimental; urgency=low

  * New maintainer.
  * New upstream release. Closes: #422590, #452720.
    + Exits with GNOME logout. Closes: #504694, #415216.
  * Convert to cdbs. Incidentally closes: #465092.
  * Enable IPv6 support.
  * Update copyright information.
  * Generate architectures list with type-handling.
    Closes: #288903, #469860.
  * Add documentation (and associated doc-base registration) to 
    esound-common.
  * Move libesddsp to esound-clients (it’s only used by esddsp).
  * Split the patches that were not merged upstream into a quilt 
    series.
  * Update watch.
  * Import patches from Ubuntu:
    + 17_check_esd.patch: do not bother starting esd if it doesn’t 
      exist.
    + 18_multiple_instances.patch: allow multiple instances of esd per 
      user. Closes: #147532
    + 19_esddsp_mutex.patch: protect dsp_init against multiple calls 
      with a mutex. Closes: #347751, #348019, #257354.
  * 20_manpage_errors.patch: new patch. Add standard pod2man header to 
    esdcat.1.in.
  * 21_requires.private: new patch. Use Requires.private for audiofile 
    in the pkg-config file. Closes: #375804.    
  * 12_esddsp_mmap64.patch: replace the mmap64 implementation by one 
    that accepts off64_t. Closes: #415713.
  * 50_alsa_drain.patch: disabled for now, it should be fixed in ALSA.
  * Set libesd-alsa0 to be the default in shlibs.
    Closes: #286406, #385014.
  * Only suggest esound-clients. Closes: #486374.
  * Mention the two versions of the library in README.Debian.
    Closes: #248118.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Nov 2008 20:32:29 +0100
