=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: esound
Section: sound
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>
Standards-Version: 3.9.4
Build-Depends: libaudiofile-dev (>= 0.2.3),
               libasound2-dev [linux-any],
               libwrap0-dev,
               pkg-config,
               dh-autoreconf,
               debhelper (>= 9),
               cdbs (>= 0.4.93~),
               gnome-pkg-tools (>= 0.7)
Build-Depends-Indep: docbook-utils,
                     docbook-xml

Package: esound-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Conflicts: libesd-alsa0
Description: Enlightened Sound Daemon - Common files
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package contains the documentation and configuration files.

Package: libesd0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         esound-common (= ${source:Version})
Suggests: pulseaudio-esound-compat
Conflicts: libesd-alsa0
Description: Enlightened Sound Daemon - Shared libraries
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package contains the shared library.

Package: libesd0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libesd0 (= ${binary:Version}),
         esound-common (= ${source:Version}),
         libaudiofile-dev (>= 0.1.5),
         pkg-config
Description: Enlightened Sound Daemon - Development files
 This program is designed to mix together several digitized 
 audio streams for playback by a single device.
 .
 This package contains the header files needed to compile applications that
 use libesd0.
