=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6 --with-libwrap \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_DH_MAKESHLIBS_ARGS_ALL := -V "libesd0 (>= 0.2.35)"
DEB_DH_MAKESHLIBS_ARGS_esound-clients := --no-act

ifeq ($(DEB_HOST_ARCH_OS),linux)
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-alsa --disable-oss
else
    DEB_CONFIGURE_EXTRA_FLAGS += --enable-oss --disable-alsa
endif

ifeq ($(DEB_HOST_ARCH),hurd-i386)
    DEB_CONFIGURE_EXTRA_FLAGS += --disable-local-sound
endif

DEB_CONFIGURE_SYSCONFDIR := /etc/esound

binary-post-install/%::
	if [ $* != esound-common ]; then \
		rm -rf debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg) ;\
		ln -s esound-common debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg) ;\
	fi
