=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/esound/([\d\.]+)[02468]/esound-([\d\.]+)\.tar\.gz
