## esound 0.2.41%2bmaemo-1

=== debian/changelog ===
esound (0.2.41+maemo-1) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Josselin Mouette <joss@debian.org>  Thu,  3 Sep 2009 23:57:46 +0100
