## esound 0.2.41%2bmaemo-2

=== debian/changelog ===
esound (0.2.41+maemo-2) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Josselin Mouette <joss@debian.org>  Mon, 14 Sep 2009 11:43:55 +0100
