=== debian/control ===
Source: esound
Section: sound
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Standards-Version: 3.6.1
Build-Depends: bash, libaudiofile-dev, quilt

Package: libesd0
Architecture: armel i386
Section: libs
Depends: pulseaudio-esound-compat, ${shlibs:Depends}
Suggests: esound-clients, esound
Conflicts: esound-clients (<< 0.2.36-1)
Description: Minimal libesd for Maemo Fremantle
  This is a minimal version of libesd designed to
  work with the pulseaudio support in Maemo 5 Fremantle and
  to allow applications that are designed to use libesd to be
  built and run on Maemo 5

Package: libesd0-dev
Architecture: armel i386
Section: libdevel
Depends: libesd0 (= ${binary:Version}) | libesd-alsa0 (= ${binary:Version}), 
         libaudiofile-dev (>= 0.1.5)
Description: Minimal libesd for Maemo Fremantle
  This is a minimal version of libesd designed to
  work with the pulseaudio support in Maemo 5 Fremantle and
  to allow applications that are designed to use libesd to be
  built and run on Maemo 5
