## esound 0.2.41%2bmaemo-3

=== debian/changelog ===
esound (0.2.41+maemo-3) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Josselin Mouette <joss@debian.org>  Tue, 15 Sep 2009 18:01:56 +0100
