=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Graham Cobb <g+770@cobb.uk.net>
 Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
 Standards-Version: 3.6.1
-Build-Depends: bash, libaudiofile-dev, quilt
+Build-Depends: bash, libaudiofile-dev, quilt, gnome-pkg-tools
 
 Package: libesd0
-Architecture: armel i386
+Architecture: any
 Section: libs
 Depends: pulseaudio-esound-compat, ${shlibs:Depends}
 Suggests: esound-clients, esound
@@ -19,7 +19,7 @@
   built and run on Maemo 5
 
 Package: libesd0-dev
-Architecture: armel i386
+Architecture: any
 Section: libdevel
 Depends: libesd0 (= ${binary:Version}) | libesd-alsa0 (= ${binary:Version}), 
          libaudiofile-dev (>= 0.1.5)
