## esound 0.2.41%2bmaemo-4

=== debian/changelog ===
esound (0.2.41+maemo-4) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Sep 2009 00:53:21 +0100
