## esound 0.2.41%2bmaemo-5

=== debian/changelog ===
esound (0.2.41+maemo-5) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Sep 2009 09:48:42 +0100
