=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libesd0
 Architecture: any
 Section: libs
-Depends: pulseaudio-esound-compat, ${shlibs:Depends}
+Depends: pulseaudio-esound-compat, ${shlibs:Depends}, upstart
 Suggests: esound-clients, esound
 Conflicts: esound-clients (<< 0.2.36-1)
 Description: Minimal libesd for Maemo Fremantle
