=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-ipv6 --without-libwrap
 DEB_CONFIGURE_USER_FLAGS := --disable-oss --disable-alsa --disable-arts --disable-local-sound
-DEB_CONFIGURE_SYSCONFDIR := /etc/esound
 
 ifeq ($(DEB_BUILD_ARCH),hurd-i386)
     DEB_CONFIGURE_EXTRA_FLAGS += --disable-local-sound
