## esound 0.2.41%2bmaemo-6

=== debian/changelog ===
esound (0.2.41+maemo-6) unstable; urgency=low

  * Build using mud-builder by cobb

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Sep 2009 17:26:06 +0100
